-- eeprom.vhd
LIBRARY IEEE;
USE ieee.std_logic_1164.all;

ENTITY eeprom IS
	PORT  (data : OUT STD_LOGIC_VECTOR(31 DOWNTO 0));
END eeprom;

ARCHITECTURE behavior OF eeprom IS
    COMPONENT BFR
        PORT(A : in std_logic; 
			 Y : out std_logic);
    END COMPONENT;

BEGIN
    b0  : BFR PORT MAP (A   => '0',Y  => data(0));
    b1  : BFR PORT MAP (A   => '0',Y  => data(1));
    b2  : BFR PORT MAP (A   => '0',Y  => data(2));
    b3  : BFR PORT MAP (A   => '0',Y  => data(3));
    b4  : BFR PORT MAP (A   => '0',Y  => data(4));
    b5  : BFR PORT MAP (A   => '0',Y  => data(5));
    b6  : BFR PORT MAP (A   => '0',Y  => data(6));
    b7  : BFR PORT MAP (A   => '0',Y  => data(7));
    b8  : BFR PORT MAP (A   => '0',Y  => data(8));
    b9  : BFR PORT MAP (A   => '0',Y  => data(9));
    b10 : BFR PORT MAP (A   => '0',Y  => data(10));
    b11 : BFR PORT MAP (A   => '0',Y  => data(11));
    b12 : BFR PORT MAP (A   => '0',Y  => data(12));
    b13 : BFR PORT MAP (A   => '0',Y  => data(13));
    b14 : BFR PORT MAP (A   => '0',Y  => data(14));
    b15 : BFR PORT MAP (A   => '0',Y  => data(15));
    b16 : BFR PORT MAP (A   => '0',Y  => data(16));
    b17 : BFR PORT MAP (A   => '0',Y  => data(17));
    b18 : BFR PORT MAP (A   => '0',Y  => data(18));
    b19 : BFR PORT MAP (A   => '0',Y  => data(19));
    b20 : BFR PORT MAP (A   => '0',Y  => data(20));
    b21 : BFR PORT MAP (A   => '0',Y  => data(21));
    b22 : BFR PORT MAP (A   => '0',Y  => data(22));
    b23 : BFR PORT MAP (A   => '0',Y  => data(23));
    b24 : BFR PORT MAP (A   => '0',Y  => data(24));
    b25 : BFR PORT MAP (A   => '0',Y  => data(25));
    b26 : BFR PORT MAP (A   => '0',Y  => data(26));
    b27 : BFR PORT MAP (A   => '0',Y  => data(27));
    b28 : BFR PORT MAP (A   => '0',Y  => data(28));
    b29 : BFR PORT MAP (A   => '0',Y  => data(29));
    b30 : BFR PORT MAP (A   => '0',Y  => data(30));
    b31 : BFR PORT MAP (A   => '0',Y  => data(31));
END behavior;